<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <link rel="stylesheet"
  href="//stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
  integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
  crossorigin="anonymous">
  <link rel="stylesheet" href="{{ url_for('static', filename='styles/app.css') }}">
  <link rel="shortcut icon" href="{{ url_for('static', filename='favicon.ico') }}">
  <title>Project2: Flack</title>
  <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/socket.io/1.3.6/socket.io.js"></script>
  <script>
  var users = {{users|tojson }};
  var channels = {{channels|tojson }};
  var messages = {{messages|tojson }};
  </script>
  <script src="{{ url_for('static', filename='scripts/app.js') }}"></script>
</head>
<body>
  <div class="backdrop">
    <div id="modal"></div>
  </div>
  <div class="d-flex flex-column align-items-stretch content-container">
    <header class="d-flex flex-row justify-content-between align-items-center">
      <h1>Project2: Flack</h1>
    </header>
    <div id="app" class="d-flex flex-row align-item-stretch">
      <div class="left">
        <div class="users-header d-flex flex-row align-items-center">
          <h2>Users</h2>
        </div>
        <ul id="user-list">
          {% for user in users %}
          <li>👤 {{ user }}</li>
          {% endfor %}
        </ul>
      </div>
      <div class="main d-flex flex-column align-items-stretch">
        <div class="messages-background d-flex justify-content-center align-items-center"><span id="messages-bg-text"></span></div>
        <div class="messages-container">
          <ul id="msgs"></ul>
        </div>
        <div id="message-editor" class="d-flex flex-column">
          <div class="insert-emoji d-flex flex-wrap"></div>
          <div id="write-message" class="d-flex flex-row justify-content-stretch">
            <input type="text" id="write-message-input" placeholder="Well, what's up?" disabled>
            <button class="btn btn-light emoji" disabled>😀</button>
            <button class="btn btn-warning send" id="write-message-send" disabled>Send</button>
          </div>
        </div>
      </div>
      <div class="right">
        <div class="d-flex flex-row justify-content-between align-items-center channel-header">
          <h2>Channels</h2>
        </div>
        <ul id="channel-list">
          {% for channel in channels %}
          <li>📡 {{ channel }}</li>
          {% endfor %}
        </ul>
      </div>
    </div>
  </div>
</body>
</html>
